//
//  NGAStringAdditions.h
//  P4ObjectLayer
//
//  Created by Michael Bishop on 8/3/10.
//  Copyright 2010 Numerical Garden, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSString (NGAAdditions)

-(NSString*)NGA_stringByConvertingFirstWordToLowerCase;
-(NSString*)NGA_stringByConvertingFirstCharacterToUpperCase;
-(NSString*)NGA_stringByAddingKeyPath:(NSString*)keyPath;

// case-insensitive!
-(NSString*)NGA_stringBySubstitutingVariables:(NSDictionary*)variables prefix:(NSString*)prefix;

@end
